
_start:

        # the prefered way of using stack on the heap does
        # not work yet
     #  lui   s8, %hi(stack)
     #  addi  s8, s8, %lo(stack)

        # use C malloc for now

        lui   a0, %hi(84000000)
        addi  a0, a0, %lo(84000000)
        call  malloc
        mv    s8, a0
